class Admin::LinkablesController < Admin::BaseController
  layout false
    
  def index
    term = params[:term]
    type = params[:type]
    
    resp = {}
    if term && term.size > 3 && (linkable = Linkable.get(type))
      
      column = :"#{title_column(linkable)}"
      
      linkable.where(

        linkable.arel_table[column].matches("%#{term}%")

      ).select([:id, column]).each do |l|
        resp[l.id] = l.send(column)

      end
    end
    render :json => resp
    
  end
  
  def fields
    @linkable = Linkable.get(params[:type])
    @target = params[:target]
    @field_name = params[:field_name]
    if params[:current_type].present? && params[:current_id].present?
      @currently_linked = Linkable.get(params[:current_type]).find(params[:current_id])
    end
  end
  
end