class Admin::PagesController < Admin::BaseController
  respond_to :html, :js
  
  def index
    @pages = Page.order("created_at")
    if Fullstack::Cms.localized?
      @pages = @pages.where(:locale => params[:locale]) 
      @locale = params[:locale]
    end
    
    @skip_filter = true
  end

  def edit
  end
  
  def update
    @page.attributes = params[:page]
    @page.save
    respond_with(@page)
  end

  def destroy
    @page.destroy
    respond_with(@page)
  end
end