class Admin::UsersController < Admin::BaseController
  respond_to :html, :js
  
  def index
    @search = User.search(params[:search])
    @users = @search.page(params[:page] || 1)
  end

  def new
    @user = User.new  
  end
  
  def edit
  end
  
  def create
      @user = User.new(params[:user])
      
      if @user.respond_to?(:author)
        @user.author ||= current_user
      end
      
      @user.save
      respond_with(@user)
  end

  def update
    @user.attributes = params[:user]
    @user.save
    respond_with(@user)
  end

  def destroy
    @user.destroy
    respond_with(@user)
  end
end


