class Link < ActiveRecord::Base
  validates_presence_of :label

  field :label, :string
  include Positionable
  
  belongs_to :link_owner, :polymorphic => true
  belongs_to :linked, :polymorphic => true
  
  inheritable
  timestamps
  field :nofollow, :boolean
  field :url, :string

end