Fullstack::Cms.configure do |config|
  
  # =============
  # = Resources =
  # =============
  
  config.resources do |admin|
    # admin.group :website do |g|
      # g.icon= "globe"
      # g.resource :texts
    # end

    # admin.group :blog do |g|
      # g.icon= "book"
      # g.resource :posts
    # end

    # admin.group :contacts do |g|
      # g.icon= "user"
      # g.resource :contacts
    # end
    
    admin.group :settings do |g|
      g.icon= "wrench"
      g.resource :pages
      g.resource :menus
      g.resource :settings
    end
  end

  # =============
  # = Linkables =
  # =============

  config.linkables = %w(pages)
  
  # =========
  # = Menus =
  # =========
  
  config.menu(:main)
  # config.menu(:social)
  
  # ============
  # = Settings =
  # ============
  config.setting(:google_analytics_code, :localized => false)  
  
  config.setting(:title)
  config.setting(:slogan)
  config.setting(:description, :kind => :text)
  config.setting(:keywords)

  config.setting(:address,            :kind => :text,  :group => :contacts)
  config.setting(:phone,              :group => :contacts)
  config.setting(:email,              :group => :contacts)
  config.setting(:notifies_recipient, :group => :contacts)
  
end
