class Linkable
  
  AJAX_COMBOBOX_MIN = 100
  
  class << self
    
    def linkables
      @linkables ||= Fullstack::Cms.config.linkables.map {|class_name|
        class_name.is_a?(Class) ? class_name.name.underscore : class_name.to_s.underscore.singularize
      }
    end
    
    def linkable_class_names
      @linkable_class_names ||= linkables.map {|l|
        l.is_a?(Class) ? l.name : l.to_s.camelize  
      }
    end
  
    def get(class_name)
      @_linkables_flyweight ||= {}
      underscored_name = class_name.is_a?(Class) ? class_name.name.underscore : class_name.to_s.underscore.singularize
      if linkables.include?(underscored_name)
        @_linkables_flyweight[underscored_name] || (@_linkables_flyweight[underscored_name] = class_name.is_a?(Class) ? class_name : "#{class_name}".camelize.constantize)
      end
    end
    
  end
end



