module Nestable
  extend ActiveSupport::Concern
  
  included do
    field :parent_id, :integer
    field :lft, :integer
    field :rgt, :integer
    field :depth, :integer
    
    acts_as_nested_set
    attr_protected :lft, :rgt
  end
  
end