Rails.application.routes.draw do
  namespace :admin do

    resources :pages, :only => [ :index, :edit, :update, :destroy ]

    resources :tags, :only => :index, :format => :json    
    resources :users, :except => [:show]
    resources :linkables, :only => :index, :format => :json do
      get "fields", :format => :js, :on => :collection
    end
    
    resources :photos, :except => [:new, :index, :show, :create] do
      get  "search", :on => :collection
      post "create", :format => :js, :on => :collection
    end
    
  end
end