DeviseController.class_eval do
  before_filter :set_page_title
  
  protected
  
  def set_page_title      
      @page_title = case "devise/#{controller_name}##{action_name}"
      when "devise/sessions#new"
       t('devise.sessions.new.sign_in', :default => "Sign in")
        
      when "devise/confirmations#new"
        t('devise.confirmations.new.resend_confirmation_instructions', :default => 'Resend confirmation instructions')
          
      when "devise/registrations#new"
        t('devise.registrations.new.sign_up', :default => "Sign up")
        
      when "devise/registrations#edit"
         t('devise.registrations.edit.title', :resource => resource_name.to_s.humanize , :default => 'Edit #{resource_name.to_s.humanize}') 
      
      when "devise/passwords#new"
         t('devise.passwords.new.forgot_your_password', :default => 'Forgot your password?')

      when "devise/passwords#edit"
         t('devise.passwords.edit.change_your_password', :default => "Change your password")
      end
  end
  
end