module Content
  extend ActiveSupport::Concern
  
  included do
    validates_presence_of :title
                              
    acts_as_taggable
    alias :keywords :tags
    permalink :title, :history => true
  
    field :title
    field :excerpt, :as => :text
    alias_attribute :description, :excerpt    
  end
  
end